glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Event, Inherited=false) Marks events generated from signals

This attribute indentifies events generated from signals and allows obtaining its original name.

`[GLib.Signal("destroy")] public event System.EventHandler Destroyed { add; remove; }`
- Constructor
  2.12.0.0
  a containing the C name of the signal.
  Public Constructor.
- Property
  2.12.0.0
  System.String The C name of the signal. the C name of the signal as a